import { axios } from '@/utils/request'

// 货架模板 列表  分页
export const shelfTemplateList = (params) => {
  const url = `/shelfTemplate/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('货架模板列表查询')
    }
  })
}
//  新建
export const shelfTemplateSave = (params) => {
  return axios({
    url: `/shelfTemplate/save`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('新建编辑货架模板')
    }
  })
}
//  复制
export const shelfTemplateCopy = (params) => {
  return axios({
    url: `/shelfTemplate/copy/${params.templateSn}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('复制货架模板')
    }
  })
}
//  删除
export const shelfTemplateDel = (params) => {
  return axios({
    url: `/shelfTemplate/deleteBySn/${params.templateSn}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('删除货架模板')
    }
  })
}
//  详情
export const shelfTemplateDetail = (params) => {
  return axios({
    url: `/shelfTemplate/queryBySn/${params.templateSn}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('复制货架模板')
    }
  })
}
// 货架模板明细 列表  分页
export const shelfTemplateDetailList = (params) => {
  const url = `/shelfTemplate/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('货架模板明细列表查询')
    }
  })
}
//  货架模板明细保存
export const shelfTemplateDetailSave = (params) => {
  return axios({
    url: `/shelfTemplate/detail/save`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('货架模板新增编辑明细')
    }
  })
}
// 删除货架模板明细
export const shelfTemplateDetailBySn = (params) => {
  return axios({
    url: `/shelfTemplate/detail/deleteBySn/${params.templateDetailSn}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('货架模板明细删除')
    }
  })
}
// 导入货架产品-保存数据
export const shelfTemplateDetailImportSave = (params) => {
  return axios({
    url: `/shelfTemplate/detail/insertImport`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('货架模板明细导入产品')
    }
  })
}
// 导入货架产品-导出错误项
export const shelfTemplateImportDetailError = (params) => {
  return axios({
    url: `/shelfTemplate/detail/importDetailError`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('货架模板导出错误项')
    }
  })
}
// 导入货架模板-解析模板
export const shelfTemplateDetailImportParse = (params) => {
  return axios({
    url: `/shelfTemplate/detail/importDetail`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('导入货架模板产品')
    }
  })
}