import { axios } from '@/utils/request'

//  库存/散件导入  列表  分页
export const stockImportList = (params) => {
  const url = `/stockImportDetail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  散件导入  取消导入
export const stockImportCancel = (params) => {
  return axios({
    url: `/stockImport/cancelImport`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('取消导入')
    }
  })
}
//  散件导入  确认导入
export const stockImportFinish = (params) => {
  return axios({
    url: `/stockImport/finishImport`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('确认导入')
    }
  })
}
//  散件导入  错误导出
export const stockImportExportError = (params) => {
  return axios({
    url: '/stockImportDetail/exportForSpareParts',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出错误项')
    }
  })
}

//  库存导入  错误导出
export const stockImportKCExportError = (params) => {
  return axios({
    url: '/stockImportDetail/exportForStock',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出错误项')
    }
  })
}
// 库存导入、散件导入列表
export const stockImportAllList = (params) => {
  const url = `/stockImport/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 库存导入、散件导入统计
export const stockImportCount = (params) => {
  const url = `/stockImport/reportCount`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 库存导入、散件导入 详情列表
export const stockImportDetailList = (params) => {
  const url = `/stockImportDetail/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('明细列表查询')
    }
  })
}
// 库存导入、散件导入 详情统计
export const stockImportDetailCount = (params) => {
  const url = `/stockImportDetail/reportCount`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
