import { axios } from '@/utils/request'

// VIN扫描纪录 - 分页数据
export const queryPage = (params) => {
  const url = `/vinLog/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('VIN扫描纪录-列表查询')
    }
  })
}
//  VIN扫描纪录 - 统计
export const queryCount = (params) => {
  return axios({
    url: `/vinLog/queryCount`,
    data: params,
    method: 'post'
  })
}
//  VIN扫描纪录 - 查看详情
export const queryDetail = (params) => {
  return axios({
    url: `/vinLog/queryScanVinLogDetail`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('VIN扫描纪录-查看详情')
    }
  })
}

//  VIN扫描纪录 - 导出
export const exportVinLog = (params) => {
  return axios({
    url: `/vinLog/exportVinLog`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('VIN扫描纪录-导出')
    }
  })
}

// 适配产品统计 - 分页数据

export const reportPage = (params) => {
  const url = `/vinFitReport/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('适配产品统计-列表查询')
    }
  })
}
// 适配产品统计 - 导出
export const exportReport = (params) => {
  return axios({
    url: `/vinFitReport/exportReport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('适配产品统计-导出')
    }
  })
}
